/*
 * Copyright (C) Open Mesh, Inc., Marek Lindner
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301, USA
 */

#define TFTP_SRC_PORT 13337
#define TELNET_PORT 9000
#define ARP_LEN (sizeof(struct ether_header) + sizeof(struct ether_arp))
#define TFTP_BASE_LEN (sizeof(struct ether_header) + sizeof(struct iphdr) + sizeof(struct udphdr))

#define TCP_CONTINUE 0
#define TCP_SUCCESS 1
#define TCP_ERROR -1

extern struct ether_header *ethhdr;
extern struct ether_arp *arphdr;
extern struct iphdr *iphdr;
extern struct udphdr *udphdr;
extern void *tftp_data;
extern unsigned long tftp_bytes_sent;
extern unsigned short xfer_in_progress;
extern char tcp_status;

void arp_packet_init(void);
int arp_packet_send(void);
int fw_upload(void);
